# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.3")
   message(FATAL_ERROR "CMake >= 2.8.3 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.3...3.22)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS itksys ITKVNLInstantiation ITKCommon itkNetlibSlatec ITKStatistics ITKTransform ITKMesh ITKMetaIO ITKSpatialObjects ITKPath ITKImageIntensity ITKLabelMap ITKMathematicalMorphology ITKQuadEdgeMesh ITKFastMarching ITKIOImageBase ITKFFT ITKConvolution ITKSmoothing ITKImageFeature ITKOptimizers ITKPolynomials ITKBiasCorrection ITKColormap ITKDICOMParser ITKDeformableMesh ITKDenoising ITKDiffusionTensorImage ITKznz ITKniftiio ITKgiftiio ITKPDEDeformableRegistration ITKIOBMP ITKIOBioRad ITKIOBruker ITKIOCSV ITKIOGDCM ITKIOIPL ITKIOGE ITKIOGIPL ITKIOHDF5 ITKIOJPEG itkopenjpeg ITKIOJPEG2000 ITKIOTIFF ITKIOLSM ITKIOMINC ITKIOMRC ITKIOMeshBase ITKIOMeshBYU ITKIOMeshFreeSurfer ITKIOMeshGifti ITKIOMeshOBJ ITKIOMeshOFF ITKIOMeshVTK ITKIOMeta ITKIONIFTI ITKNrrdIO ITKIONRRD ITKIOPNG ITKIOSiemens ITKIOXML ITKIOSpatialObjects ITKIOStimulate ITKTransformFactory ITKIOTransformBase ITKIOTransformHDF5 ITKIOTransformInsightLegacy ITKIOTransformMatlab ITKIOVTK ITKKLMRegionGrowing itklbfgs ITKMarkovRandomFieldsClassifiers ITKOptimizersv4 ITKQuadEdgeMeshFiltering ITKRegionGrowing ITKRegistrationMethodsv4 itkTestDriver ITKTestKernel ITKVTK ITKVideoCore ITKVideoIO ITKWatersheds)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target itksys
add_library(itksys SHARED IMPORTED)

set_target_properties(itksys PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/ITK-5.3"
)

# Create imported target ITKVNLInstantiation
add_library(ITKVNLInstantiation SHARED IMPORTED)

set_target_properties(ITKVNLInstantiation PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "vnl_algo;vnl;v3p_netlib;netlib;vcl;vnl_algo;vnl;v3p_netlib;netlib;vcl"
)

# Create imported target ITKCommon
add_library(ITKCommon SHARED IMPORTED)

set_target_properties(ITKCommon PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "Eigen3::Eigen;itksys;ITKVNLInstantiation;-lm"
)

# Create imported target itkNetlibSlatec
add_library(itkNetlibSlatec SHARED IMPORTED)

set_target_properties(itkNetlibSlatec PROPERTIES
  INTERFACE_LINK_LIBRARIES "v3p_netlib;netlib"
)

# Create imported target ITKStatistics
add_library(ITKStatistics SHARED IMPORTED)

set_target_properties(ITKStatistics PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;itkNetlibSlatec"
)

# Create imported target ITKTransform
add_library(ITKTransform SHARED IMPORTED)

set_target_properties(ITKTransform PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon"
)

# Create imported target ITKMesh
add_library(ITKMesh SHARED IMPORTED)

set_target_properties(ITKMesh PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKTransform"
)

# Create imported target ITKMetaIO
add_library(ITKMetaIO SHARED IMPORTED)

set_target_properties(ITKMetaIO PROPERTIES
  INTERFACE_LINK_LIBRARIES "/opt/local/lib/libz.dylib"
)

# Create imported target ITKSpatialObjects
add_library(ITKSpatialObjects SHARED IMPORTED)

set_target_properties(ITKSpatialObjects PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKTransform"
)

# Create imported target ITKPath
add_library(ITKPath SHARED IMPORTED)

set_target_properties(ITKPath PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
)

# Create imported target ITKImageIntensity
add_library(ITKImageIntensity SHARED IMPORTED)

set_target_properties(ITKImageIntensity PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
)

# Create imported target ITKLabelMap
add_library(ITKLabelMap SHARED IMPORTED)

set_target_properties(ITKLabelMap PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath"
)

# Create imported target ITKMathematicalMorphology
add_library(ITKMathematicalMorphology SHARED IMPORTED)

set_target_properties(ITKMathematicalMorphology PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath"
)

# Create imported target ITKQuadEdgeMesh
add_library(ITKQuadEdgeMesh SHARED IMPORTED)

set_target_properties(ITKQuadEdgeMesh PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
)

# Create imported target ITKFastMarching
add_library(ITKFastMarching SHARED IMPORTED)

set_target_properties(ITKFastMarching PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
)

# Create imported target ITKIOImageBase
add_library(ITKIOImageBase SHARED IMPORTED)

set_target_properties(ITKIOImageBase PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon"
)

# Create imported target ITKFFT
add_library(ITKFFT SHARED IMPORTED)

set_target_properties(ITKFFT PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_INCLUDE_DIRECTORIES "/opt/local/include;/opt/local/include"
  INTERFACE_LINK_LIBRARIES "ITKCommon;libfftw3_threads.dylib;libfftw3.dylib;libfftw3f_threads.dylib;libfftw3f.dylib"
)

# Create imported target ITKConvolution
add_library(ITKConvolution SHARED IMPORTED)

set_target_properties(ITKConvolution PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKFFT;ITKCommon;ITKStatistics;ITKTransform;ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath;ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath"
)

# Create imported target ITKSmoothing
add_library(ITKSmoothing SHARED IMPORTED)

set_target_properties(ITKSmoothing PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
)

# Create imported target ITKImageFeature
add_library(ITKImageFeature SHARED IMPORTED)

set_target_properties(ITKImageFeature PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKSmoothing;ITKSpatialObjects"
)

# Create imported target ITKOptimizers
add_library(ITKOptimizers SHARED IMPORTED)

set_target_properties(ITKOptimizers PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKStatistics"
)

# Create imported target ITKPolynomials
add_library(ITKPolynomials SHARED IMPORTED)

set_target_properties(ITKPolynomials PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon"
)

# Create imported target ITKBiasCorrection
add_library(ITKBiasCorrection SHARED IMPORTED)

set_target_properties(ITKBiasCorrection PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath"
)

# Create imported target ITKColormap
add_library(ITKColormap SHARED IMPORTED)

set_target_properties(ITKColormap PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
)

# Create imported target ITKDICOMParser
add_library(ITKDICOMParser SHARED IMPORTED)

# Create imported target ITKDeformableMesh
add_library(ITKDeformableMesh SHARED IMPORTED)

set_target_properties(ITKDeformableMesh PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKStatistics;ITKTransform;ITKImageFeature;ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath;ITKMesh;ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath"
)

# Create imported target ITKDenoising
add_library(ITKDenoising SHARED IMPORTED)

set_target_properties(ITKDenoising PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
)

# Create imported target ITKDiffusionTensorImage
add_library(ITKDiffusionTensorImage SHARED IMPORTED)

set_target_properties(ITKDiffusionTensorImage PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
)

# Create imported target ITKznz
add_library(ITKznz SHARED IMPORTED)

set_target_properties(ITKznz PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/ITK-5.3"
  INTERFACE_LINK_LIBRARIES "/opt/local/lib/libz.dylib"
)

# Create imported target ITKniftiio
add_library(ITKniftiio SHARED IMPORTED)

set_target_properties(ITKniftiio PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/ITK-5.3"
  INTERFACE_LINK_LIBRARIES "ITKznz;/Library/Developer/CommandLineTools/SDKs/MacOSX14.sdk/usr/lib/libm.tbd"
)

# Create imported target ITKgiftiio
add_library(ITKgiftiio SHARED IMPORTED)

set_target_properties(ITKgiftiio PROPERTIES
  INTERFACE_LINK_LIBRARIES "/opt/local/lib/libexpat.dylib;ITKznz;ITKniftiio"
)

# Create imported target ITKPDEDeformableRegistration
add_library(ITKPDEDeformableRegistration SHARED IMPORTED)

set_target_properties(ITKPDEDeformableRegistration PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKFFT;ITKCommon;ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath;ITKSmoothing;ITKImageFeature;ITKOptimizers"
)

# Create imported target ITKIOBMP
add_library(ITKIOBMP SHARED IMPORTED)

set_target_properties(ITKIOBMP PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOBioRad
add_library(ITKIOBioRad SHARED IMPORTED)

set_target_properties(ITKIOBioRad PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOBruker
add_library(ITKIOBruker SHARED IMPORTED)

set_target_properties(ITKIOBruker PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOCSV
add_library(ITKIOCSV SHARED IMPORTED)

set_target_properties(ITKIOCSV PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
)

# Create imported target ITKIOGDCM
add_library(ITKIOGDCM SHARED IMPORTED)

set_target_properties(ITKIOGDCM PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKIOImageBase"
)

# Create imported target ITKIOIPL
add_library(ITKIOIPL SHARED IMPORTED)

set_target_properties(ITKIOIPL PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOGE
add_library(ITKIOGE SHARED IMPORTED)

set_target_properties(ITKIOGE PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOIPL"
)

# Create imported target ITKIOGIPL
add_library(ITKIOGIPL SHARED IMPORTED)

set_target_properties(ITKIOGIPL PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOHDF5
add_library(ITKIOHDF5 SHARED IMPORTED)

set_target_properties(ITKIOHDF5 PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOJPEG
add_library(ITKIOJPEG SHARED IMPORTED)

set_target_properties(ITKIOJPEG PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target itkopenjpeg
add_library(itkopenjpeg SHARED IMPORTED)

set_target_properties(itkopenjpeg PROPERTIES
  INTERFACE_LINK_LIBRARIES "m"
)

# Create imported target ITKIOJPEG2000
add_library(ITKIOJPEG2000 SHARED IMPORTED)

set_target_properties(ITKIOJPEG2000 PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOTIFF
add_library(ITKIOTIFF SHARED IMPORTED)

set_target_properties(ITKIOTIFF PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOLSM
add_library(ITKIOLSM SHARED IMPORTED)

set_target_properties(ITKIOLSM PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOTIFF"
)

# Create imported target ITKIOMINC
add_library(ITKIOMINC SHARED IMPORTED)

set_target_properties(ITKIOMINC PROPERTIES
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOMRC
add_library(ITKIOMRC SHARED IMPORTED)

set_target_properties(ITKIOMRC PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOMeshBase
add_library(ITKIOMeshBase SHARED IMPORTED)

set_target_properties(ITKIOMeshBase PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKIOImageBase;ITKMesh;ITKQuadEdgeMesh;ITKCommon;ITKMesh"
)

# Create imported target ITKIOMeshBYU
add_library(ITKIOMeshBYU SHARED IMPORTED)

set_target_properties(ITKIOMeshBYU PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKIOMeshBase"
)

# Create imported target ITKIOMeshFreeSurfer
add_library(ITKIOMeshFreeSurfer SHARED IMPORTED)

set_target_properties(ITKIOMeshFreeSurfer PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKIOMeshBase"
)

# Create imported target ITKIOMeshGifti
add_library(ITKIOMeshGifti SHARED IMPORTED)

set_target_properties(ITKIOMeshGifti PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKIOMeshBase"
)

# Create imported target ITKIOMeshOBJ
add_library(ITKIOMeshOBJ SHARED IMPORTED)

set_target_properties(ITKIOMeshOBJ PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKIOMeshBase"
)

# Create imported target ITKIOMeshOFF
add_library(ITKIOMeshOFF SHARED IMPORTED)

set_target_properties(ITKIOMeshOFF PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKIOMeshBase"
)

# Create imported target ITKIOMeshVTK
add_library(ITKIOMeshVTK SHARED IMPORTED)

set_target_properties(ITKIOMeshVTK PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKIOMeshBase"
)

# Create imported target ITKIOMeta
add_library(ITKIOMeta SHARED IMPORTED)

set_target_properties(ITKIOMeta PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase;ITKMetaIO"
)

# Create imported target ITKIONIFTI
add_library(ITKIONIFTI SHARED IMPORTED)

set_target_properties(ITKIONIFTI PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKNrrdIO
add_library(ITKNrrdIO SHARED IMPORTED)

set_target_properties(ITKNrrdIO PROPERTIES
  INTERFACE_LINK_LIBRARIES "/opt/local/lib/libz.dylib;m"
)

# Create imported target ITKIONRRD
add_library(ITKIONRRD SHARED IMPORTED)

set_target_properties(ITKIONRRD PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOPNG
add_library(ITKIOPNG SHARED IMPORTED)

set_target_properties(ITKIOPNG PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOSiemens
add_library(ITKIOSiemens SHARED IMPORTED)

set_target_properties(ITKIOSiemens PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOXML
add_library(ITKIOXML SHARED IMPORTED)

set_target_properties(ITKIOXML PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKIOSpatialObjects
add_library(ITKIOSpatialObjects SHARED IMPORTED)

set_target_properties(ITKIOSpatialObjects PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKSpatialObjects"
)

# Create imported target ITKIOStimulate
add_library(ITKIOStimulate SHARED IMPORTED)

set_target_properties(ITKIOStimulate PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase"
)

# Create imported target ITKTransformFactory
add_library(ITKTransformFactory SHARED IMPORTED)

set_target_properties(ITKTransformFactory PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKTransform"
)

# Create imported target ITKIOTransformBase
add_library(ITKIOTransformBase SHARED IMPORTED)

set_target_properties(ITKIOTransformBase PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKTransform;ITKTransformFactory"
)

# Create imported target ITKIOTransformHDF5
add_library(ITKIOTransformHDF5 SHARED IMPORTED)

set_target_properties(ITKIOTransformHDF5 PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOTransformBase"
)

# Create imported target ITKIOTransformInsightLegacy
add_library(ITKIOTransformInsightLegacy SHARED IMPORTED)

set_target_properties(ITKIOTransformInsightLegacy PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOTransformBase"
)

# Create imported target ITKIOTransformMatlab
add_library(ITKIOTransformMatlab SHARED IMPORTED)

set_target_properties(ITKIOTransformMatlab PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOTransformBase"
)

# Create imported target ITKIOVTK
add_library(ITKIOVTK SHARED IMPORTED)

set_target_properties(ITKIOVTK PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
)

# Create imported target ITKKLMRegionGrowing
add_library(ITKKLMRegionGrowing SHARED IMPORTED)

set_target_properties(ITKKLMRegionGrowing PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon"
)

# Create imported target itklbfgs
add_library(itklbfgs SHARED IMPORTED)

set_target_properties(itklbfgs PROPERTIES
  INTERFACE_LINK_LIBRARIES "m"
)

# Create imported target ITKMarkovRandomFieldsClassifiers
add_library(ITKMarkovRandomFieldsClassifiers SHARED IMPORTED)

set_target_properties(ITKMarkovRandomFieldsClassifiers PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath;ITKStatistics"
)

# Create imported target ITKOptimizersv4
add_library(ITKOptimizersv4 SHARED IMPORTED)

set_target_properties(ITKOptimizersv4 PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "itklbfgs;ITKOptimizers"
)

# Create imported target ITKQuadEdgeMeshFiltering
add_library(ITKQuadEdgeMeshFiltering SHARED IMPORTED)

set_target_properties(ITKQuadEdgeMeshFiltering PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKMesh"
)

# Create imported target ITKRegionGrowing
add_library(ITKRegionGrowing SHARED IMPORTED)

set_target_properties(ITKRegionGrowing PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath"
)

# Create imported target ITKRegistrationMethodsv4
add_library(ITKRegistrationMethodsv4 SHARED IMPORTED)

set_target_properties(ITKRegistrationMethodsv4 PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKOptimizersv4;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath;ITKSmoothing;ITKImageFeature;ITKOptimizers;ITKOptimizersv4"
)

# Create imported target itkTestDriver
add_executable(itkTestDriver IMPORTED)

# Create imported target ITKTestKernel
add_library(ITKTestKernel SHARED IMPORTED)

set_target_properties(ITKTestKernel PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKIOImageBase"
)

# Create imported target ITKVTK
add_library(ITKVTK SHARED IMPORTED)

set_target_properties(ITKVTK PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
)

# Create imported target ITKVideoCore
add_library(ITKVideoCore SHARED IMPORTED)

set_target_properties(ITKVideoCore PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon"
)

# Create imported target ITKVideoIO
add_library(ITKVideoIO SHARED IMPORTED)

set_target_properties(ITKVideoIO PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKIOImageBase;ITKVideoCore"
)

# Create imported target ITKWatersheds
add_library(ITKWatersheds SHARED IMPORTED)

set_target_properties(ITKWatersheds PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_LINK_LIBRARIES "ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath;ITKSmoothing;ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath;ITKMathematicalMorphology;ITKSmoothing;ITKCommon;ITKStatistics;ITKTransform;ITKSpatialObjects;ITKPath"
)

if(CMAKE_VERSION VERSION_LESS 2.8.12)
  message(FATAL_ERROR "This file relies on consumers using CMake 2.8.12 or greater.")
endif()

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/ITKTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
    if(NOT EXISTS "${_cmake_file}")
      message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
